## org.eclipse.uml2.common.util
Class UnionEObjectEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>
                      org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList<E>
                          org.eclipse.uml2.common.util.UnionEObjectEList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, org.eclipse.emf.common.util.EList<E>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<E>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>

    public class UnionEObjectEList<E>

extends org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList<E>

An unmodifiable list that represents a union of elements. This list is ideal for implementing derived features whose values are obtained from the values of other features in a non-trivial way.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList
`org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList.FastCompare<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`org.eclipse.emf.common.util.BasicEList.BasicIndexOutOfBoundsException, org.eclipse.emf.common.util.BasicEList.EIterator<E1>, org.eclipse.emf.common.util.BasicEList.EListIterator<E1>, org.eclipse.emf.common.util.BasicEList.NonResolvingEIterator<E1>, org.eclipse.emf.common.util.BasicEList.NonResolvingEListIterator<E1>, org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList
`eStructuralFeature, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`UnionEObjectEList(org.eclipse.emf.ecore.InternalEObject owner, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature, int size, java.lang.Object[] data)`

Method Summary
`protected boolean` `canContainNull()`
`boolean` `contains(java.lang.Object object)`
`int` `indexOf(java.lang.Object object)`
`protected boolean` `isUnique()`
`java.util.Iterator<E>` `iterator()`
`int` `lastIndexOf(java.lang.Object object)`
`java.util.ListIterator<E>` `listIterator()`
`java.util.ListIterator<E>` `listIterator(int index)`
`protected E` `resolve(int index, E object)`
`protected org.eclipse.emf.ecore.EObject` `resolveProxy(org.eclipse.emf.ecore.EObject eObject)`
`protected boolean` `useEquals()`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList
`basicAdd, basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, get, getEObject, getEStructuralFeature, isSet, set, unset`

Methods inherited from class org.eclipse.emf.common.util.BasicEList.UnmodifiableEList
`add, add, addAll, addAll, clear, grow, move, move, remove, remove, removeAll, retainAll, set, shrink`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, clone, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, hashCode, isEmpty, newData, setData, setUnique, size, toArray, toArray, toString, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicGet, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### UnionEObjectEList

    public UnionEObjectEList(org.eclipse.emf.ecore.InternalEObject owner,
                             org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature,
                             int size,
                             java.lang.Object[] data)

Method Detail

### resolveProxy

    protected org.eclipse.emf.ecore.EObject resolveProxy(org.eclipse.emf.ecore.EObject eObject)

### resolve

    protected E resolve(int index,
                        E object)

  Overrides:
    `resolve` in class `org.eclipse.emf.common.util.BasicEList<E>`

### canContainNull

    protected boolean canContainNull()

  Overrides:
    `canContainNull` in class `org.eclipse.emf.common.util.BasicEList<E>`

### isUnique

    protected boolean isUnique()

  Overrides:
    `isUnique` in class `org.eclipse.emf.common.util.BasicEList<E>`

### useEquals

    protected boolean useEquals()

  Overrides:
    `useEquals` in class `org.eclipse.emf.common.util.BasicEList<E>`

### contains

    public boolean contains(java.lang.Object object)

  Specified by:
    `contains` in interface `java.util.Collection<E>`
  Specified by:
    `contains` in interface `java.util.List<E>`
  Overrides:
    `contains` in class `org.eclipse.emf.common.util.BasicEList<E>`

### indexOf

    public int indexOf(java.lang.Object object)

  Specified by:
    `indexOf` in interface `java.util.List<E>`
  Overrides:
    `indexOf` in class `org.eclipse.emf.common.util.BasicEList<E>`

### lastIndexOf

    public int lastIndexOf(java.lang.Object object)

  Specified by:
    `lastIndexOf` in interface `java.util.List<E>`
  Overrides:
    `lastIndexOf` in class `org.eclipse.emf.common.util.BasicEList<E>`

### iterator

    public java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`
  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.util.List<E>`
  Overrides:
    `iterator` in class `org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>`

### listIterator

    public java.util.ListIterator<E> listIterator()

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Overrides:
    `listIterator` in class `org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>`

### listIterator

    public java.util.ListIterator<E> listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List<E>`
  Overrides:
    `listIterator` in class `org.eclipse.emf.common.util.BasicEList.UnmodifiableEList<E>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.